@font-family: Noto Sans, sans-serif;

@font-link-size: 12px;
@font-small-size: 14px;
@font-normal-size: 16px;
@font-medium-size: 18px;
@font-big-size: 24px;
@font-large-size: 32px;
@font-xlarge-size: 46px;

@line-link-height: 14px;
@line-button-height: 16px;
@line-small-height: 22px;
@line-normal-height: 24px;
@line-medium-height: 26px;
@line-big-height: 32px;
@line-large-height: 40px;
@line-xlarge-height: 48px;

.font-base() {
    font-family: @font-family;
    font-weight: 400;
    font-style: normal;
    font-size: @font-normal-size;
}

.font-regular() {
    .font-base();
}

.font-regular-small() {
    .font-regular();
    font-size: @font-small-size;
    line-height: @line-small-height;
}

.font-regular-normal() {
    .font-regular();
    font-size: @font-normal-size;
    line-height: @line-normal-height;
}

.font-regular-medium() {
    .font-regular();
    font-size: @font-medium-size;
    line-height: @line-medium-height;
}

.font-regular-big() {
    .font-regular();
    font-size: @font-big-size;
    line-height: @line-big-height;
}

.font-regular-large() {
    .font-regular();
    font-size: @font-large-size;
    line-height: @line-large-height;
}

.font-regular-xlarge() {
    .font-regular();
    font-size: @font-xlarge-size;
    line-height: @line-xlarge-height;
}

.font-bold() {
    .font-base();
    font-weight: 700;
}

.font-bold-small() {
    .font-bold();
    font-size: @font-small-size;
    line-height: @line-small-height;
}

.font-bold-normal() {
    .font-bold();
    font-size: @font-normal-size;
    line-height: @line-normal-height;
}

.font-bold-medium() {
    .font-bold();
    font-size: @font-medium-size;
    line-height: @line-medium-height;
}

.font-bold-big() {
    .font-bold();
    font-size: @font-big-size;
    line-height: @line-big-height;
}

.font-bold-large() {
    .font-bold();
    font-size: @font-large-size;
    line-height: @line-large-height;
}

.font-bold-large() {
    .font-bold();
    font-size: @font-xlarge-size;
    line-height: @line-xlarge-height;
}

.font-button() {
    .font-bold-small();
    line-height: @line-button-height;
    text-transform: uppercase;
}

.font-link() {
    .font-bold();
    font-size: @font-link-size;
    line-height: @line-link-height;
    text-transform: uppercase;
}
